demo/demoproject/object/urls.py
from django.urls import re_path

from demoproject.object import views

app_name = "object"
urlpatterns = [
    re_path(
        r"^default-file/(?P<slug>[a-zA-Z0-9_-]+)/$",
        views.default_file_view,
        name="default_file",
    ),
    re_path(
        r"^another-file/(?P<slug>[a-zA-Z0-9_-]+)/$",
        views.another_file_view,
        name="another_file",
    ),
    re_path(
        r"^deserialized_basename/(?P<slug>[a-zA-Z0-9_-]+)/$",
        views.deserialized_basename_view,
        name="deserialized_basename",
    ),
    re_path(
        r"^inline-file/(?P<slug>[a-zA-Z0-9_-]+)/$",
        views.inline_file_view,
        name="inline_file",
    ),
]

demo/demoproject/urls.py
from django.urls import include, path
from django.views.generic import TemplateView

home = TemplateView.as_view(template_name="home.html")


urlpatterns = [
    # ObjectDownloadView.
    path(
        "object/",
        include("demoproject.object.urls", namespace="object"),
    ),
    # StorageDownloadView.
    path(
        "storage/",
        include("demoproject.storage.urls", namespace="storage"),
    ),
    # PathDownloadView.
    path("path/", include("demoproject.path.urls", namespace="path")),
    # HTTPDownloadView.
    path("http/", include("demoproject.http.urls", namespace="http")),
    # VirtualDownloadView.
    path(
        "virtual/",
        include("demoproject.virtual.urls", namespace="virtual"),
    ),
    # Nginx optimizations.
    path(
        "nginx/",
        include("demoproject.nginx.urls", namespace="nginx"),
    ),
    # Apache optimizations.
    path(
        "apache/",
        include("demoproject.apache.urls", namespace="apache"),
    ),
    # Lighttpd optimizations.
    path(
        "lighttpd/",
        include("demoproject.lighttpd.urls", namespace="lighttpd"),
    ),
    # An informative homepage.
    path("", home, name="home"),
]

demo/demoproject/templates/home.html
<html>
	<head>
        <title>django-downloadview demo</title>
	</head>
	<body>
        <h1>Welcome to django-downloadview demo!</h1>
        <p>Here are some demo links. Browse the code to see how they are implemented</p>

        <h2>Serving files with Django</h2>
        <p>In the following views, Django streams the files, no optimization
           has been setup.</p>
        <ul>
            <li>
                <a href="{% url 'object:default_file' 'hello-world' %}">object:default_file</a>
            </li>
        </ul>

        <h2>Optimized downloads</h2>
        <p>In the following views, Django delegates actual streaming to another
           server, for improved performances.</p>
        <p>Since nginx and other servers aren't installed on the demo, you
           will get raw "X-Sendfile" responses. Look at the headers!</p>
        <ul>
        </ul>
    </body>
</html>